Bug 210969 - Mk/Uses/gnome.mk: gconftool-2 --makefile-uninstall-rule cannot find the schema files on package deinstall phase
Summary: Mk/Uses/gnome.mk: gconftool-2 --makefile-uninstall-rule cannot find the schem...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords: patch-ready
Depends on:
Blocks: 250098
  Show dependency treegraph
 
Reported: 2016-07-10 14:41 UTC by lenzi.sergio
Modified: 2021-06-07 02:12 UTC (History)
4 users (show)

See Also:


Attachments
this patches /usr/ports/Mk/Uses/gnome.mk to correct the gconftool-2 --makefile-unistall-rule that must execute BEFORE the port is uninstalled (1.00 KB, patch)
2016-07-10 14:41 UTC, lenzi.sergio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lenzi.sergio 2016-07-10 14:41:17 UTC
Created attachment 172316 [details]
this patches /usr/ports/Mk/Uses/gnome.mk to correct the gconftool-2 --makefile-unistall-rule that must execute BEFORE the port is uninstalled

when using gnome, or mate (http://mate-desktop.org) the ports uses gnome schemas but the framework on DEINSTALL phase tries to remove the schema from the gconf AFTER the port is deinstalled, but the schema is not there any more (was removed by the port because it is in the plist).

A fix of @postunexec to preunexec in the /usr/ports/Mk/Uses/gnome.mk resolves the issue
Comment 1 Tobias C. Berner freebsd_committer 2020-12-19 14:35:03 UTC
Moin moin 

Please re-open if this is still an issue.


mfg Tobias
Comment 2 Alexey Dokuchaev freebsd_committer 2021-05-19 08:12:50 UTC
(In reply to Tobias C. Berner from comment #1)
> Please re-open if this is still an issue.
It certainly is still an issue, see fresh bug #250098.  The proposed fix and rationale behind it are correct.  How did we manage to close this bug as "Overcome By Events" is beyond me.  Apologies to the original submitter.
Comment 3 commit-hook freebsd_committer 2021-06-05 18:51:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=956fbfa5003e34db2d2b1985e20073a397e697e8

commit 956fbfa5003e34db2d2b1985e20073a397e697e8
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-06-05 18:46:58 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-06-05 18:47:45 +0000

    Mk/Uses/gnome.mk: fix gconftool-2 --makefile-unistall-rule call time

    Previously, for ports with GCONF_SCHEMAS, `gnome-post-gconf-schemas'
    target would add a @postunexec rule which was invoked *after* those
    files would be removed upon deinstallation, resulting in errors:

      I/O warning : failed to load external entity ".../$some.schemas"
      Failed to open `.../$some.schemas': No such file or directory

    Change it to @preunexec so that `gconftool-2 --makefile-unistall-rule'
    command would get called while those files still exist.

    PR:             210969
    Timeout from:   gnome (~5 years)

 Mk/Uses/gnome.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Alexey Dokuchaev freebsd_committer 2021-06-07 02:12:15 UTC
Finally committed, thank you, and terribly sorry it took us so long!